Package Details: etcher-bin 1.5.108-1

Git Clone URL: https://aur.archlinux.org/etcher-bin.git (read-only, click to copy)
Package Base: etcher-bin
Description: Flash OS images to SD cards & USB drives, safely and easily
Upstream URL: http://www.etcher.io/
Keywords: bootable etcher flash iso usb
Licenses: Apache
Conflicts: etcher
Provides: etcher
Submitter: ams1
Maintainer: ali.molaei
Last Packager: ali.molaei
Votes: 82
Popularity: 4.39
First Submitted: 2018-04-12 20:44
Last Updated: 2020-09-11 09:50

Dependencies (40)

Required by (0)

Sources (2)

Pinned Comments

ali.molaei commented on 2020-05-06 16:19

Hello there, I am pretty much aware of etcher being updated, but as you can see here http://imgur.com/gallery/zpwhQZ9 there are three releases in last 24 hours, I usually wait for it to be at least one or two days to make sure it's stable, and also you don't download the package each and every hour. So please do not flag out of date immediately after a new release on github, I get an email by default from github on new releases.

ali.molaei commented on 2019-04-17 20:10

Please don't flag package out of date for "Pre-release" in GitHub repo!

Latest Comments

1 2 Next › Last »

ali.molaei commented on 2020-09-28 19:33

hey @khalil2535 I think you are commenting on a wrong page, this package is not cloning the git repo

khalil2535 commented on 2020-09-28 16:27

i got this error -> Cloning etcher git repo... Cloning into bare repository '/home/{USER}/.cache/yay/balena-etcher/etcher'... remote: Enumerating objects: 130, done. remote: Counting objects: 100% (130/130), done. remote: Compressing objects: 100% (71/71), done. error: RPC failed; curl 18 transfer closed with outstanding read data remaining fatal: the remote end hung up unexpectedly fatal: early EOF fatal: index-pack failed ==> ERROR: Failure while downloading etcher git repo Aborting... error downloading sources: balena-etcher

RoestVrijStaal commented on 2020-07-31 21:20

Heads-up for the persons who care about privacy: https://github.com/balena-io/etcher/issues/2497 https://github.com/balena-io/etcher/issues/2766

tl;dr: Use https://aur.archlinux.org/packages/usbimager/ or something else instead of etcher if you care about your privacy.

ali.molaei commented on 2020-05-06 16:19

Hello there, I am pretty much aware of etcher being updated, but as you can see here http://imgur.com/gallery/zpwhQZ9 there are three releases in last 24 hours, I usually wait for it to be at least one or two days to make sure it's stable, and also you don't download the package each and every hour. So please do not flag out of date immediately after a new release on github, I get an email by default from github on new releases.

ali.molaei commented on 2020-02-21 15:56

I have rechecked the binary of etcher again and changed the dependencies based on it on 1.5.79, hope dependency problems to be solved.

ali.molaei commented on 2020-02-21 15:54

Hey @donbex I checked all binary dependencies for the etcher but there is no dependancy on polkit, although I don't know is that even possible to have no polkit installed? even lightdm is depending on it, so, can you not have a display manager and use etcher? Can you give me the output of ldd /opt/balenaEtcher/balena-etcher-electron.bin ? put it on Pastebin or something and give me a link, thanks.

donbex commented on 2020-01-07 11:48

Etcher fails without a polkit agent installed (e.g. when running a WM like XMonad):

/opt/balenaEtcher/resources/app.asar/node_modules/resin-corvus/src/resin-corvus.js:233 {"stack":"Error: No polkit authentication agent found\n    at Object.exports.createError (file:///opt/balenaEtcher/resources/app.asar/generated/gui.js:1577:17)\n    at Object.exports.createUserError (file:///opt/balenaEtcher/resources/app.asar/generated/gui.js:1616:18)\n    at file:///opt/balenaEtcher/resources/app.asar/generated/gui.js:8596:22","message":"No polkit authentication agent found","description":"Please install a polkit authentication agent for your desktop environment of choice to continue","report":false,"image":"archlinux-2020.01.01-x86_64.iso"}
logException @ /opt/balenaEtcher/resources/app.asar/node_modules/resin-corvus/src/resin-corvus.js:233
/opt/balenaEtcher/resources/app.asar/lib/assets/icon.png:1 Failed to load

Polkit should be added as a dependency, although I am not entirely sure of the best way to do so. Since they don't seem to have a common provides field, one could either add the agents from the polkit wiki page as optdepends, or maybe just add polkit as a dependency.

ali.molaei commented on 2019-12-16 08:29

@flying-sheep thanks for bringing it on, it's removed now

flying-sheep commented on 2019-12-14 13:15

electron doesn’t need gconf anymore. Please remove the dependency

ali.molaei commented on 2019-06-28 09:39

@offlinehoster this package is directly downloaded from balena as you see in Sources section.

And it is working for me right now. Don't you get any log or error messages? Run it from terminal and try again, and take a look at journalctl for crash logs, it's weird that it is not working for you